Name:           ocaml-camlpdf
Version:        1.7.1
Release:        %mkrel 5
Summary:        Read, write, and manipulate PDF data with OCaml
Group:          Development/OCaml
License:        LGPL with special linking exception
URL:            http://freecode.com/projects/camlpdf
Source0:        http://www.coherentpdf.com/camlpdf-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-compiler-libs
BuildRequires:  zlib-devel
BuildRequires:  tetex-latex
BuildRequires:  gzip

# camlpdf has a runtime library compiled with custom: it requires the zlib
# libraries to be installed
Requires:  zlib-devel

%description
This is CamlPDF, an OCaml library for reading, writing and manipulating Adobe
portable document files.

CamlPDF consists of a set of low level modules for representing, reading and
writing the basic structure of PDF, together with an initial attempt at a
higher level API.

Please advise of the following:
  * Files which cannot be read or written, or any other runtime error;
  * Instances of particularly slow or resource-hungry scenarios.

Please be aware that PDF is a highly complex format and that many files are
malformed. We will incorporate support for malformed files if Acrobat reads
them.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n camlpdf-%{version}

%build
make
make htdoc
make psdoc
gzip --best doc/camlpdf/latex/doc.ps
gzip --best introduction_to_camlpdf.tex

%install
%define destdir %{buildroot}/%{_libdir}/ocaml/camlpdf
%define destdll %{buildroot}/%{_libdir}/ocaml/stublibs

mkdir -p %{destdir}/
mkdir -p %{destdll}/

install -m 0644 *.cma *.cmxa *.a *.cmi *.mli %{destdir}/
install -m 0644 META %{destdir}/
install -m 0755 *.so %{destdll}/

%files
%doc LICENCE README.md Changes
%dir %{_libdir}/ocaml/camlpdf
%{_libdir}/ocaml/camlpdf/META
%{_libdir}/ocaml/camlpdf/*.cma
%{_libdir}/ocaml/camlpdf/*.cmi
%{_libdir}/ocaml/stublibs/*.so

%files devel
%doc examples/
%doc doc/camlpdf/html/
%doc doc/camlpdf/latex/*.{dvi,ps.gz}
%doc introduction_to_camlpdf.pdf
%doc introduction_to_camlpdf.tex*
%{_libdir}/ocaml/camlpdf/*.a
%{_libdir}/ocaml/camlpdf/*.cmxa
%{_libdir}/ocaml/camlpdf/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.7.1-5.mga6
+ Revision: 1056268
- Rebuild for fix in ocaml

* Wed Feb 17 2016 umeabot <umeabot> 1.7.1-4.mga6
+ Revision: 964117
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.1-3.mga5
+ Revision: 740004
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.1-2.mga5
+ Revision: 683002
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 blue_prawn <blue_prawn> 1.7.1-1.mga5
+ Revision: 638966
- build requires ocaml-compiler-libs
- build requires ocamlfind
- updated to last version 1.7.1

* Sat Jan 12 2013 umeabot <umeabot> 0.5-5.mga3
+ Revision: 361205
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.5-4.mga3
+ Revision: 301641
- new rpm group for ocaml
- new rpm group for ocaml

* Mon Apr 09 2012 malo <malo> 0.5-2.mga2
+ Revision: 229847
- adding missing requires to zlib-devel

* Fri Mar 23 2012 blue_prawn <blue_prawn> 0.5-1.mga2
+ Revision: 225893
- imported from Mandriva


* Mon Apr 26 2010 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 539364
- incremented mkrel

* Mon Apr 26 2010 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 538809
- prevent erasing a futur META file

* Mon Apr 26 2010 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 538808
- setting arch correctly

* Mon Apr 26 2010 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 538806
- clear -m32 option from CFLAGS

* Wed Mar 17 2010 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 522778
- update to new version 0.5

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 390239
- rebuild

* Wed Feb 04 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 337521
- updated version

* Tue Jan 27 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 334521
- summary-ended-with-dot

* Sun Jan 18 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 330979
- import ocaml-camlpdf
